Title: JSR223: ScriptEngine.ARGV is not honoured
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.1
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: fwierzbicki, hierynomus, zyasoft
Priority: normal Keywords:

Created on 2011-04-22.13:53:16 by hierynomus, last changed 2016-01-14.05:48:30 by zyasoft.

msg6502 (view) Author: Jeroen van Erp (hierynomus) Date: 2011-04-22.13:53:15
If you want to pass arguments to a script executed by the PyScriptEngine, you need to create a PySystemState to register them in. However, far as I can see, the spec specifies that you should be able to use:
scriptEngine.put(ScriptEngine.ARGV, {"foo", "bar"});
msg10601 (view) Author: Jim Baker (zyasoft) Date: 2016-01-07.05:37:48
Fixed as of
Date User Action Args
2016-01-14 05:48:30zyasoftsetstatus: pending -> closed
2016-01-07 05:37:48zyasoftsetstatus: open -> pending
assignee: zyasoft
resolution: fixed
messages: + msg10601
milestone: Jython 2.7.2 -> Jython 2.7.1
2015-12-29 23:40:43zyasoftsetmilestone: Jython 2.7.2
versions: + Jython 2.7, - Jython 2.5
2015-12-22 03:30:08zyasoftsetnosy: + zyasoft
2013-02-25 18:31:25fwierzbickisetpriority: normal
nosy: + fwierzbicki
versions: + Jython 2.5, - 2.5.1
2011-04-22 13:53:16hierynomuscreate